%define name       desmume
%define longname   DeSmuME
%define summary    A Nintendo DS emulator
%define version    0.9.6
%define revision   1
%define release    %mkrel 2

Summary: %{summary}
Name: %{name}
Version: %{version}
Release: %{release}
Source: %{name}-%{version}-%{revision}.tar.xz
Source1: %{name}.png
Group: Emulators
License: GPL
URL: http://desmume.sourceforge.net/
BuildRequires: libSDL-devel
BuildRequires: libz-devel
BuildRequires: gtk2-devel
BuildRequires: libglade2.0-devel
BuildRequires: gtkglext-devel
BuildRequires: desktop-file-utils
BuildRequires: libagg2-devel
BuildRoot: %_tmppath/%{name}-buildroot
Requires:   glibc >= 2.10.1
Requires:   libstdc++6 >= 4.4.1

%package -n %{name}-glade
Summary: %{summary} (Glade GUI version)
Group: Emulators
License: GPL

%package -n %{name}-cli
Summary: %{summary} (CLI version)
Group: Emulators
License: GPL

%description
DeSmuME is a Nintendo DS emulator running homebrew demos and commercial 
games... For the latter ones, you should own the games corresponding the 
roms you play with.
You can find a compatibility list here : http://desmume.org/?page_id=15
In this package is the GTK GUI version.

Warning:
If you use a 3d desktop, forget the GUI for now or disable AIGLX.
You can do this by setting Option "AIGLX" "off" in ServerFlags section.

%description -l de
Fortgeschrittener Nintendo DS Emulator, der bereits sehr viele kommerzielle Spiele emuliert, jedoch gibt es bei manchen Spielen sind noch Grafikfehler, es ist der dritte DS Emulator mit Sound Emulation.
Warnung:
Wenn Sie den 3D-Desktop verwenden , funktioniert die grafische Benutzeroberfläche nicht, oder Sie deaktivieren AIGLX.
ServerFlags Abschnitt bearbeiten „AIGLX“ „off“ .
Weitere Informationen zu finden unter
<http://desmume.org/?page_id=15>

%description -n %{name}-glade
DeSmuME is a Nintendo DS emulator running homebrew demos and commercial 
games... For the latter ones, you should own the games corresponding the 
roms you play with.
You can find a compatibility list here : http://desmume.org/?page_id=15
In this package is the GTK/Glade version, which includes a translation.

Warning:
If you use a 3d desktop, forget the GUI for now or disable AIGLX.
You can do this by setting Option "AIGLX" "off" in ServerFlags section.

%description -n %{name}-glade -l de
GTK-grafische Benutzeroberfläche (GTK-GUI)
Fortgeschrittener Nintendo DS Emulator, der bereits sehr viele kommerzielle Spiele emuliert, jedoch gibt es bei manchen Spielen sind noch Grafikfehler, es ist der dritte DS Emulator mit Sound Emulation.
Warnung:
Wenn Sie den 3D-Desktop verwenden , funktioniert die grafische Benutzeroberfläche nicht, oder Sie deaktivieren AIGLX.
ServerFlags Abschnitt bearbeiten „AIGLX“ „off“ .
Weitere Informationen zu finden unter
<http://desmume.org/?page_id=15>

%description -n %{name}-cli
DeSmuME is a Nintendo DS emulator running homebrew demos and commercial 
games... For the latter ones, you should own the games corresponding the 
roms you play with.
You can find a compatibility list here : http://desmume.org/?page_id=15
In this package is the CLI version (without a GUI).

%description -n %{name}-cli -l de
Kommandozeilen Programm für die Konsole
Fortgeschrittener Nintendo DS Emulator, der bereits sehr viele kommerzielle Spiele emuliert, jedoch gibt es bei manchen Spielen sind noch Grafikfehler, es ist der dritte DS Emulator mit Sound Emulation.
Weitere Informationen zu finden unter
<http://desmume.org/?page_id=15>


%prep
%setup -q -n %{name}-%{version}
perl -pi -e "s|glade/|%{_datadir}/%{name}/|g" src/gtk-glade/main.c
perl -pi -e "s|DeSmuME.xpm|desmume|" src/gtk/desmume.desktop.in
perl -pi -e "s|DeSmuME.xpm|desmume-glade|" src/gtk-glade/desmume-glade.desktop.in

%build
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall

install -d -m 755 %{buildroot}/%{_datadir}/%{name}
install -m 644 src/gtk-glade/glade/* %{buildroot}/%{_datadir}/%{name}

mkdir -p %{buildroot}{%{_miconsdir},%{_iconsdir},%{_liconsdir},%{_menudir}}
convert -geometry 16x16 %{SOURCE1} %{buildroot}/%{_miconsdir}/%{name}.png
convert -geometry 16x16 %{SOURCE1} %{buildroot}/%{_miconsdir}/%{name}-glade.png
convert -geometry 32x32 %{SOURCE1} %{buildroot}/%{_iconsdir}/%{name}.png
convert -geometry 32x32 %{SOURCE1} %{buildroot}/%{_iconsdir}/%{name}-glade.png
install -m 644  %{SOURCE1} %{buildroot}/%{_liconsdir}/%{name}.png
install -m 644  %{SOURCE1} %{buildroot}/%{_liconsdir}/%{name}-glade.png

rm -rf %{buildroot}/%{_datadir}/pixmaps

desktop-file-install --vendor="" \
 --remove-category="Application" \
 --remove-category="Game" \
 --remove-key="Version" \
 --add-category="X-MandrivaLinux-MoreApplications-Emulators" \
 --add-category="Emulator" \
 --dir=%{buildroot}%{_datadir}/applications \
 %{buildroot}%{_datadir}/applications/%{name}.desktop

desktop-file-install --vendor="" \
 --remove-category="Application" \
 --remove-category="Game" \
 --remove-key="Version" \
 --add-category="X-MandrivaLinux-MoreApplications-Emulators" \
 --add-category="Emulator" \
 --dir=%{buildroot}%{_datadir}/applications \
 %{buildroot}%{_datadir}/applications/%{name}-glade.desktop

%find_lang %{name}

%post
%{update_menus}

%post -n %{name}-glade
%{update_menus}

%postun
%{clean_menus}

%postun -n %{name}-glade
%{clean_menus}

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog README README.LIN README.WIN
%attr(0755,root,root) %{_bindir}/%{name}
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_datadir}/applications/%{name}.desktop
%{_datadir}/man/man1/%{name}.1.bz2

%files -n %{name}-glade -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog README README.LIN README.WIN
%attr(0755,root,root) %{_bindir}/%{name}-glade
%{_datadir}/%{name}
%{_iconsdir}/%{name}-glade.png
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}-glade.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}-glade.png
%{_datadir}/applications/%{name}-glade.desktop
%{_datadir}/man/man1/%{name}-glade.1.bz2

%files -n %{name}-cli
%defattr(-,root,root)
%doc AUTHORS ChangeLog README README.LIN README.WIN
%attr(0755,root,root) %{_bindir}/%{name}-cli
%{_datadir}/man/man1/%{name}-cli.1.bz2

%clean
rm -rf %{buildroot}

%changelog
* Mon Jan 31 2011 Texstar <texstar at gmail.com> 0.9.6-2pclos2011
- remove old menu system not used anymore
- change specfile name to pclos-desmume.spec

* Thu Jan 27 2010 leiche <meisssw01 at aol.com> 0.9.6-1leiche2010
- update 0.9.6
- convert archive to tar.xz

* Sat Jan 02 2010 Leiche <MeissSW01 at aol.com> 0.9.5-1pclos2010
- 0.9.5

* Sun Oct 25 2009 Leiche <MeissSW01@aol.com> 0.9.2-1pclos2010
- update to 0.9.4 and rebuild for PCLinuxOS 2010

* Fri Apr 25 2008 P. K. Frederic <pkfric@yahoo.com> 0.8-1pclos2007
- first RPM for PCLinuxOS
- original spec file by Guillaume Bedot <littletux@zarb.org>
